com.google.gwt.i18n.shared

## Class DefaultDateTimeFormatInfo

- java.lang.Object
- - com.google.gwt.i18n.shared.DefaultDateTimeFormatInfo

- All Implemented Interfaces:
    DateTimeFormatInfo
  Direct Known Subclasses:
    DefaultDateTimeFormatInfo

      public class DefaultDateTimeFormatInfo
      extends java.lang.Object
      implements DateTimeFormatInfo

  Default implementation of DateTimeFormatInfo interface, using values from the CLDR root locale.

  Users who need to create their own DateTimeFormatInfo implementation are encouraged to extend this class so their implementation won't break when new methods are added.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDateTimeFormatInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `ampms()` Returns array of strings containing abbreviations for Ante Meridiem and Post Meridiem.
    `java.lang.String` | `dateFormat()` Returns a safe default date format.
    `java.lang.String` | `dateFormatFull()` Returns a "full" date format.
    `java.lang.String` | `dateFormatLong()` Returns a "long" date format.
    `java.lang.String` | `dateFormatMedium()` Returns a "medium" date format.
    `java.lang.String` | `dateFormatShort()` Returns a "short" date format.
    `java.lang.String` | `dateTime(java.lang.String timePattern, java.lang.String datePattern)` Returns a date/time format from a date format pattern and a time format pattern, using the locale default joining.
    `java.lang.String` | `dateTimeFull(java.lang.String timePattern, java.lang.String datePattern)` Returns a date/time format from a date format pattern and a time format pattern, using "full" joining.
    `java.lang.String` | `dateTimeLong(java.lang.String timePattern, java.lang.String datePattern)` Returns a date/time format from a date format pattern and a time format pattern, using "full" joining.
    `java.lang.String` | `dateTimeMedium(java.lang.String timePattern, java.lang.String datePattern)` Returns a date/time format from a date format pattern and a time format pattern, using "full" joining.
    `java.lang.String` | `dateTimeShort(java.lang.String timePattern, java.lang.String datePattern)` Returns a date/time format from a date format pattern and a time format pattern, using "full" joining.
    `java.lang.String[]` | `erasFull()` Returns an array of the full era names.
    `java.lang.String[]` | `erasShort()` Returns abbreviations of the era names.
    `int` | `firstDayOfTheWeek()` Returns the day which generally comes first in a weekly calendar view, as an index into the return value of `DateTimeFormatInfo.weekdaysFull()`.
    `java.lang.String` | `formatDay()` Returns localized format equivalent to the "d" skeleton pattern.
    `java.lang.String` | `formatHour12Minute()` Returns localized format equivalent to the "hm" skeleton pattern.
    `java.lang.String` | `formatHour12MinuteSecond()` Returns localized format equivalent to the "hms" skeleton pattern.
    `java.lang.String` | `formatHour24Minute()` Returns localized format equivalent to the "Hm" skeleton pattern.
    `java.lang.String` | `formatHour24MinuteSecond()` Returns localized format equivalent to the "Hms" skeleton pattern.
    `java.lang.String` | `formatMinuteSecond()` Returns localized format equivalent to the "ms" skeleton pattern.
    `java.lang.String` | `formatMonthAbbrev()` Returns localized format equivalent to the "MMM" skeleton pattern.
    `java.lang.String` | `formatMonthAbbrevDay()` Returns localized format equivalent to the "MMMd" skeleton pattern.
    `java.lang.String` | `formatMonthFull()` Returns localized format equivalent to the "MMMM" skeleton pattern.
    `java.lang.String` | `formatMonthFullDay()` Returns localized format equivalent to the "MMMMd" skeleton pattern.
    `java.lang.String` | `formatMonthFullWeekdayDay()` Returns localized format equivalent to the "MMMMEEEEd" skeleton pattern.
    `java.lang.String` | `formatMonthNumDay()` Returns localized format equivalent to the "Md" skeleton pattern.
    `java.lang.String` | `formatYear()` Returns localized format equivalent to the "y" skeleton pattern.
    `java.lang.String` | `formatYearMonthAbbrev()` Returns localized format equivalent to the "yMMM" skeleton pattern.
    `java.lang.String` | `formatYearMonthAbbrevDay()` Returns localized format equivalent to the "yMMMd" skeleton pattern.
    `java.lang.String` | `formatYearMonthFull()` Returns localized format equivalent to the "yMMMM" skeleton pattern.
    `java.lang.String` | `formatYearMonthFullDay()` Returns localized format equivalent to the "yMMMMd" skeleton pattern.
    `java.lang.String` | `formatYearMonthNum()` Returns localized format equivalent to the "yM" skeleton pattern.
    `java.lang.String` | `formatYearMonthNumDay()` Returns localized format equivalent to the "yMd" skeleton pattern.
    `java.lang.String` | `formatYearMonthWeekdayDay()` Returns localized format equivalent to the "yMMMEEEd" skeleton pattern.
    `java.lang.String` | `formatYearQuarterFull()` Returns localized format equivalent to the "yQQQQ" skeleton pattern.
    `java.lang.String` | `formatYearQuarterShort()` Returns localized format equivalent to the "yQ" skeleton pattern.
    `java.lang.String[]` | `monthsFull()` Returns an array of full month names.
    `java.lang.String[]` | `monthsFullStandalone()` Returns an array of month names for use in a stand-alone context.
    `java.lang.String[]` | `monthsNarrow()` Returns an array of the shortest abbreviations for months, typically a single character and not guaranteed to be unique.
    `java.lang.String[]` | `monthsNarrowStandalone()` Returns an array of the shortest abbreviations for months suitable for use in a stand-alone context, typically a single character and not guaranteed to be unique.
    `java.lang.String[]` | `monthsShort()` Returns an array of month abbreviations.
    `java.lang.String[]` | `monthsShortStandalone()` Returns an array of month abbreviations, suitable for use in a stand-alone context.
    `java.lang.String[]` | `quartersFull()` Returns an array of full quarter names.
    `java.lang.String[]` | `quartersShort()` Returns an array of abbreviations for quarters.
    `java.lang.String` | `timeFormat()` Returns a safe default time format.
    `java.lang.String` | `timeFormatFull()` Returns a "full" time format.
    `java.lang.String` | `timeFormatLong()` Returns a "long" time format.
    `java.lang.String` | `timeFormatMedium()` Returns a "medium" time format.
    `java.lang.String` | `timeFormatShort()` Returns a "short" time format.
    `java.lang.String[]` | `weekdaysFull()` Returns an array of the full names of weekdays.
    `java.lang.String[]` | `weekdaysFullStandalone()` Returns an array of the full names of weekdays, suitable for use in a stand-alone context.
    `java.lang.String[]` | `weekdaysNarrow()` Returns an array of the shortest abbreviations for weekdays, typically a single character and not guaranteed to be unique.
    `java.lang.String[]` | `weekdaysNarrowStandalone()` Returns an array of the shortest abbreviations for weekdays suitable for use in a stand-alone context, typically a single character and not guaranteed to be unique.
    `java.lang.String[]` | `weekdaysShort()` Returns an array of abbreviations for weekdays.
    `java.lang.String[]` | `weekdaysShortStandalone()` Returns an array of abbreviations for weekdays, suitable for use in a stand-alone context.
    `int` | `weekendEnd()` Returns the day which ends the weekend, as an index into the return value of `DateTimeFormatInfo.weekdaysFull()`.
    `int` | `weekendStart()` Returns the day which starts the weekend, as an index into the return value of `DateTimeFormatInfo.weekdaysFull()`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultDateTimeFormatInfo

          public DefaultDateTimeFormatInfo()

  - ### Method Detail

    - #### ampms

          public java.lang.String[] ampms()

      Description copied from interface: `DateTimeFormatInfo`
      Returns array of strings containing abbreviations for Ante Meridiem and Post Meridiem.
      Specified by:
        `ampms` in interface `DateTimeFormatInfo`

    - #### dateFormat

          public java.lang.String dateFormat()

      Description copied from interface: `DateTimeFormatInfo`
      Returns a safe default date format.
      Specified by:
        `dateFormat` in interface `DateTimeFormatInfo`

    - #### dateFormatFull

          public java.lang.String dateFormatFull()

      Description copied from interface: `DateTimeFormatInfo`
      Returns a "full" date format.
      Specified by:
        `dateFormatFull` in interface `DateTimeFormatInfo`

    - #### dateFormatLong

          public java.lang.String dateFormatLong()

      Description copied from interface: `DateTimeFormatInfo`
      Returns a "long" date format.
      Specified by:
        `dateFormatLong` in interface `DateTimeFormatInfo`

    - #### dateFormatMedium

          public java.lang.String dateFormatMedium()

      Description copied from interface: `DateTimeFormatInfo`
      Returns a "medium" date format.
      Specified by:
        `dateFormatMedium` in interface `DateTimeFormatInfo`

    - #### dateFormatShort

          public java.lang.String dateFormatShort()

      Description copied from interface: `DateTimeFormatInfo`
      Returns a "short" date format.
      Specified by:
        `dateFormatShort` in interface `DateTimeFormatInfo`

    - #### dateTime

          public java.lang.String dateTime(java.lang.String timePattern,
                                           java.lang.String datePattern)

      Description copied from interface: `DateTimeFormatInfo`
      Returns a date/time format from a date format pattern and a time format pattern, using the locale default joining.
      Specified by:
        `dateTime` in interface `DateTimeFormatInfo`
      Parameters:
        `timePattern` - the time pattern String
        `datePattern` - the data pattern String

    - #### dateTimeFull

          public java.lang.String dateTimeFull(java.lang.String timePattern,
                                               java.lang.String datePattern)

      Description copied from interface: `DateTimeFormatInfo`
      Returns a date/time format from a date format pattern and a time format pattern, using "full" joining.
      Specified by:
        `dateTimeFull` in interface `DateTimeFormatInfo`
      Parameters:
        `timePattern` - the time pattern String
        `datePattern` - the data pattern String

    - #### dateTimeLong

          public java.lang.String dateTimeLong(java.lang.String timePattern,
                                               java.lang.String datePattern)

      Description copied from interface: `DateTimeFormatInfo`
      Returns a date/time format from a date format pattern and a time format pattern, using "full" joining.
      Specified by:
        `dateTimeLong` in interface `DateTimeFormatInfo`
      Parameters:
        `timePattern` - the time pattern String
        `datePattern` - the data pattern String

    - #### dateTimeMedium

          public java.lang.String dateTimeMedium(java.lang.String timePattern,
                                                 java.lang.String datePattern)

      Description copied from interface: `DateTimeFormatInfo`
      Returns a date/time format from a date format pattern and a time format pattern, using "full" joining.
      Specified by:
        `dateTimeMedium` in interface `DateTimeFormatInfo`
      Parameters:
        `timePattern` - the time pattern String
        `datePattern` - the data pattern String

    - #### dateTimeShort

          public java.lang.String dateTimeShort(java.lang.String timePattern,
                                                java.lang.String datePattern)

      Description copied from interface: `DateTimeFormatInfo`
      Returns a date/time format from a date format pattern and a time format pattern, using "full" joining.
      Specified by:
        `dateTimeShort` in interface `DateTimeFormatInfo`
      Parameters:
        `timePattern` - the time pattern String
        `datePattern` - the data pattern String

    - #### erasFull

          public java.lang.String[] erasFull()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of the full era names.
      Specified by:
        `erasFull` in interface `DateTimeFormatInfo`

    - #### erasShort

          public java.lang.String[] erasShort()

      Description copied from interface: `DateTimeFormatInfo`
      Returns abbreviations of the era names.
      Specified by:
        `erasShort` in interface `DateTimeFormatInfo`

    - #### firstDayOfTheWeek

          public int firstDayOfTheWeek()

      Description copied from interface: `DateTimeFormatInfo`
      Returns the day which generally comes first in a weekly calendar view, as an index into the return value of `DateTimeFormatInfo.weekdaysFull()`.
      Specified by:
        `firstDayOfTheWeek` in interface `DateTimeFormatInfo`

    - #### formatDay

          public java.lang.String formatDay()

      Description copied from interface: `DateTimeFormatInfo`
      Returns localized format equivalent to the "d" skeleton pattern.
      Specified by:
        `formatDay` in interface `DateTimeFormatInfo`

    - #### formatHour12Minute

          public java.lang.String formatHour12Minute()

      Description copied from interface: `DateTimeFormatInfo`
      Returns localized format equivalent to the "hm" skeleton pattern.
      Specified by:
        `formatHour12Minute` in interface `DateTimeFormatInfo`

    - #### formatHour12MinuteSecond

          public java.lang.String formatHour12MinuteSecond()

      Description copied from interface: `DateTimeFormatInfo`
      Returns localized format equivalent to the "hms" skeleton pattern.
      Specified by:
        `formatHour12MinuteSecond` in interface `DateTimeFormatInfo`

    - #### formatHour24Minute

          public java.lang.String formatHour24Minute()

      Description copied from interface: `DateTimeFormatInfo`
      Returns localized format equivalent to the "Hm" skeleton pattern.
      Specified by:
        `formatHour24Minute` in interface `DateTimeFormatInfo`

    - #### formatHour24MinuteSecond

          public java.lang.String formatHour24MinuteSecond()

      Description copied from interface: `DateTimeFormatInfo`
      Returns localized format equivalent to the "Hms" skeleton pattern.
      Specified by:
        `formatHour24MinuteSecond` in interface `DateTimeFormatInfo`

    - #### formatMinuteSecond

          public java.lang.String formatMinuteSecond()

      Description copied from interface: `DateTimeFormatInfo`
      Returns localized format equivalent to the "ms" skeleton pattern.
      Specified by:
        `formatMinuteSecond` in interface `DateTimeFormatInfo`

    - #### formatMonthAbbrev

          public java.lang.String formatMonthAbbrev()

      Description copied from interface: `DateTimeFormatInfo`
      Returns localized format equivalent to the "MMM" skeleton pattern.
      Specified by:
        `formatMonthAbbrev` in interface `DateTimeFormatInfo`

    - #### formatMonthAbbrevDay

          public java.lang.String formatMonthAbbrevDay()

      Description copied from interface: `DateTimeFormatInfo`
      Returns localized format equivalent to the "MMMd" skeleton pattern.
      Specified by:
        `formatMonthAbbrevDay` in interface `DateTimeFormatInfo`

    - #### formatMonthFull

          public java.lang.String formatMonthFull()

      Description copied from interface: `DateTimeFormatInfo`
      Returns localized format equivalent to the "MMMM" skeleton pattern.
      Specified by:
        `formatMonthFull` in interface `DateTimeFormatInfo`

    - #### formatMonthFullDay

          public java.lang.String formatMonthFullDay()

      Description copied from interface: `DateTimeFormatInfo`
      Returns localized format equivalent to the "MMMMd" skeleton pattern.
      Specified by:
        `formatMonthFullDay` in interface `DateTimeFormatInfo`

    - #### formatMonthFullWeekdayDay

          public java.lang.String formatMonthFullWeekdayDay()

      Description copied from interface: `DateTimeFormatInfo`
      Returns localized format equivalent to the "MMMMEEEEd" skeleton pattern.
      Specified by:
        `formatMonthFullWeekdayDay` in interface `DateTimeFormatInfo`

    - #### formatMonthNumDay

          public java.lang.String formatMonthNumDay()

      Description copied from interface: `DateTimeFormatInfo`
      Returns localized format equivalent to the "Md" skeleton pattern.
      Specified by:
        `formatMonthNumDay` in interface `DateTimeFormatInfo`

    - #### formatYear

          public java.lang.String formatYear()

      Description copied from interface: `DateTimeFormatInfo`
      Returns localized format equivalent to the "y" skeleton pattern.
      Specified by:
        `formatYear` in interface `DateTimeFormatInfo`

    - #### formatYearMonthAbbrev

          public java.lang.String formatYearMonthAbbrev()

      Description copied from interface: `DateTimeFormatInfo`
      Returns localized format equivalent to the "yMMM" skeleton pattern.
      Specified by:
        `formatYearMonthAbbrev` in interface `DateTimeFormatInfo`

    - #### formatYearMonthAbbrevDay

          public java.lang.String formatYearMonthAbbrevDay()

      Description copied from interface: `DateTimeFormatInfo`
      Returns localized format equivalent to the "yMMMd" skeleton pattern.
      Specified by:
        `formatYearMonthAbbrevDay` in interface `DateTimeFormatInfo`

    - #### formatYearMonthFull

          public java.lang.String formatYearMonthFull()

      Description copied from interface: `DateTimeFormatInfo`
      Returns localized format equivalent to the "yMMMM" skeleton pattern.
      Specified by:
        `formatYearMonthFull` in interface `DateTimeFormatInfo`

    - #### formatYearMonthFullDay

          public java.lang.String formatYearMonthFullDay()

      Description copied from interface: `DateTimeFormatInfo`
      Returns localized format equivalent to the "yMMMMd" skeleton pattern.
      Specified by:
        `formatYearMonthFullDay` in interface `DateTimeFormatInfo`

    - #### formatYearMonthNum

          public java.lang.String formatYearMonthNum()

      Description copied from interface: `DateTimeFormatInfo`
      Returns localized format equivalent to the "yM" skeleton pattern.
      Specified by:
        `formatYearMonthNum` in interface `DateTimeFormatInfo`

    - #### formatYearMonthNumDay

          public java.lang.String formatYearMonthNumDay()

      Description copied from interface: `DateTimeFormatInfo`
      Returns localized format equivalent to the "yMd" skeleton pattern.
      Specified by:
        `formatYearMonthNumDay` in interface `DateTimeFormatInfo`

    - #### formatYearMonthWeekdayDay

          public java.lang.String formatYearMonthWeekdayDay()

      Description copied from interface: `DateTimeFormatInfo`
      Returns localized format equivalent to the "yMMMEEEd" skeleton pattern.
      Specified by:
        `formatYearMonthWeekdayDay` in interface `DateTimeFormatInfo`

    - #### formatYearQuarterFull

          public java.lang.String formatYearQuarterFull()

      Description copied from interface: `DateTimeFormatInfo`
      Returns localized format equivalent to the "yQQQQ" skeleton pattern.
      Specified by:
        `formatYearQuarterFull` in interface `DateTimeFormatInfo`

    - #### formatYearQuarterShort

          public java.lang.String formatYearQuarterShort()

      Description copied from interface: `DateTimeFormatInfo`
      Returns localized format equivalent to the "yQ" skeleton pattern.
      Specified by:
        `formatYearQuarterShort` in interface `DateTimeFormatInfo`

    - #### monthsFull

          public java.lang.String[] monthsFull()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of full month names.
      Specified by:
        `monthsFull` in interface `DateTimeFormatInfo`

    - #### monthsFullStandalone

          public java.lang.String[] monthsFullStandalone()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of month names for use in a stand-alone context.
      Specified by:
        `monthsFullStandalone` in interface `DateTimeFormatInfo`

    - #### monthsNarrow

          public java.lang.String[] monthsNarrow()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of the shortest abbreviations for months, typically a single character and not guaranteed to be unique.
      Specified by:
        `monthsNarrow` in interface `DateTimeFormatInfo`

    - #### monthsNarrowStandalone

          public java.lang.String[] monthsNarrowStandalone()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of the shortest abbreviations for months suitable for use in a stand-alone context, typically a single character and not guaranteed to be unique.
      Specified by:
        `monthsNarrowStandalone` in interface `DateTimeFormatInfo`

    - #### monthsShort

          public java.lang.String[] monthsShort()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of month abbreviations.
      Specified by:
        `monthsShort` in interface `DateTimeFormatInfo`

    - #### monthsShortStandalone

          public java.lang.String[] monthsShortStandalone()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of month abbreviations, suitable for use in a stand-alone context.
      Specified by:
        `monthsShortStandalone` in interface `DateTimeFormatInfo`

    - #### quartersFull

          public java.lang.String[] quartersFull()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of full quarter names.
      Specified by:
        `quartersFull` in interface `DateTimeFormatInfo`

    - #### quartersShort

          public java.lang.String[] quartersShort()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of abbreviations for quarters.
      Specified by:
        `quartersShort` in interface `DateTimeFormatInfo`

    - #### timeFormat

          public java.lang.String timeFormat()

      Description copied from interface: `DateTimeFormatInfo`
      Returns a safe default time format.
      Specified by:
        `timeFormat` in interface `DateTimeFormatInfo`

    - #### timeFormatFull

          public java.lang.String timeFormatFull()

      Description copied from interface: `DateTimeFormatInfo`
      Returns a "full" time format.
      Specified by:
        `timeFormatFull` in interface `DateTimeFormatInfo`

    - #### timeFormatLong

          public java.lang.String timeFormatLong()

      Description copied from interface: `DateTimeFormatInfo`
      Returns a "long" time format.
      Specified by:
        `timeFormatLong` in interface `DateTimeFormatInfo`

    - #### timeFormatMedium

          public java.lang.String timeFormatMedium()

      Description copied from interface: `DateTimeFormatInfo`
      Returns a "medium" time format.
      Specified by:
        `timeFormatMedium` in interface `DateTimeFormatInfo`

    - #### timeFormatShort

          public java.lang.String timeFormatShort()

      Description copied from interface: `DateTimeFormatInfo`
      Returns a "short" time format.
      Specified by:
        `timeFormatShort` in interface `DateTimeFormatInfo`

    - #### weekdaysFull

          public java.lang.String[] weekdaysFull()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of the full names of weekdays.
      Specified by:
        `weekdaysFull` in interface `DateTimeFormatInfo`

    - #### weekdaysFullStandalone

          public java.lang.String[] weekdaysFullStandalone()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of the full names of weekdays, suitable for use in a stand-alone context.
      Specified by:
        `weekdaysFullStandalone` in interface `DateTimeFormatInfo`

    - #### weekdaysNarrow

          public java.lang.String[] weekdaysNarrow()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of the shortest abbreviations for weekdays, typically a single character and not guaranteed to be unique.
      Specified by:
        `weekdaysNarrow` in interface `DateTimeFormatInfo`

    - #### weekdaysNarrowStandalone

          public java.lang.String[] weekdaysNarrowStandalone()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of the shortest abbreviations for weekdays suitable for use in a stand-alone context, typically a single character and not guaranteed to be unique.
      Specified by:
        `weekdaysNarrowStandalone` in interface `DateTimeFormatInfo`

    - #### weekdaysShort

          public java.lang.String[] weekdaysShort()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of abbreviations for weekdays.
      Specified by:
        `weekdaysShort` in interface `DateTimeFormatInfo`

    - #### weekdaysShortStandalone

          public java.lang.String[] weekdaysShortStandalone()

      Description copied from interface: `DateTimeFormatInfo`
      Returns an array of abbreviations for weekdays, suitable for use in a stand-alone context.
      Specified by:
        `weekdaysShortStandalone` in interface `DateTimeFormatInfo`

    - #### weekendEnd

          public int weekendEnd()

      Description copied from interface: `DateTimeFormatInfo`
      Returns the day which ends the weekend, as an index into the return value of `DateTimeFormatInfo.weekdaysFull()`.

      Note that this value may be numerically less than `DateTimeFormatInfo.weekendStart()` - for example, `DateTimeFormatInfo.weekendStart()` of 6 and `DateTimeFormatInfo.weekendEnd()` of 0 means Saturday and Sunday are the weekend.

      Specified by:
        `weekendEnd` in interface `DateTimeFormatInfo`

    - #### weekendStart

          public int weekendStart()

      Description copied from interface: `DateTimeFormatInfo`
      Returns the day which starts the weekend, as an index into the return value of `DateTimeFormatInfo.weekdaysFull()`.
      Specified by:
        `weekendStart` in interface `DateTimeFormatInfo`